Create a deal
curl --request POST \
--url https://api.metal.ai/v1/deals \
--header 'Content-Type: application/json' \
--header 'x-metal-api-key: <api-key>' \
--header 'x-metal-client-id: <api-key>' \
--data '
{
"name": "Project Atlas",
"companyId": "<string>",
"sector": "<string>",
"industry": "<string>",
"size": 123,
"notes": "<string>",
"externalId": "<string>"
}
'import requests
url = "https://api.metal.ai/v1/deals"
payload = {
"name": "Project Atlas",
"companyId": "<string>",
"sector": "<string>",
"industry": "<string>",
"size": 123,
"notes": "<string>",
"externalId": "<string>"
}
headers = {
"x-metal-client-id": "<api-key>",
"x-metal-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-metal-client-id': '<api-key>',
'x-metal-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'Project Atlas',
companyId: '<string>',
sector: '<string>',
industry: '<string>',
size: 123,
notes: '<string>',
externalId: '<string>'
})
};
fetch('https://api.metal.ai/v1/deals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.metal.ai/v1/deals"
payload := strings.NewReader("{\n \"name\": \"Project Atlas\",\n \"companyId\": \"<string>\",\n \"sector\": \"<string>\",\n \"industry\": \"<string>\",\n \"size\": 123,\n \"notes\": \"<string>\",\n \"externalId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-metal-client-id", "<api-key>")
req.Header.Add("x-metal-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "665f1c2a9b1e4a0012a3b4c5",
"name": "Project Atlas",
"companyId": "<string>",
"status": "ACTIVE",
"stage": "DUE_DILIGENCE",
"externalStatus": "<string>",
"externalStage": "<string>",
"acquisitionType": "platform",
"owners": [
{
"id": "<string>",
"type": "<string>"
}
],
"sector": "<string>",
"industry": "<string>",
"size": 123,
"notes": "<string>",
"externalReference": {
"source": "<string>",
"id": "<string>"
}
}
}{
"error": "Invalid request body"
}{
"error": "invalid api key or clientId"
}Create a deal
Creates a deal. Provide a name and, typically, the target companyId.
POST
/
v1
/
deals
Create a deal
curl --request POST \
--url https://api.metal.ai/v1/deals \
--header 'Content-Type: application/json' \
--header 'x-metal-api-key: <api-key>' \
--header 'x-metal-client-id: <api-key>' \
--data '
{
"name": "Project Atlas",
"companyId": "<string>",
"sector": "<string>",
"industry": "<string>",
"size": 123,
"notes": "<string>",
"externalId": "<string>"
}
'import requests
url = "https://api.metal.ai/v1/deals"
payload = {
"name": "Project Atlas",
"companyId": "<string>",
"sector": "<string>",
"industry": "<string>",
"size": 123,
"notes": "<string>",
"externalId": "<string>"
}
headers = {
"x-metal-client-id": "<api-key>",
"x-metal-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-metal-client-id': '<api-key>',
'x-metal-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'Project Atlas',
companyId: '<string>',
sector: '<string>',
industry: '<string>',
size: 123,
notes: '<string>',
externalId: '<string>'
})
};
fetch('https://api.metal.ai/v1/deals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.metal.ai/v1/deals"
payload := strings.NewReader("{\n \"name\": \"Project Atlas\",\n \"companyId\": \"<string>\",\n \"sector\": \"<string>\",\n \"industry\": \"<string>\",\n \"size\": 123,\n \"notes\": \"<string>\",\n \"externalId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-metal-client-id", "<api-key>")
req.Header.Add("x-metal-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "665f1c2a9b1e4a0012a3b4c5",
"name": "Project Atlas",
"companyId": "<string>",
"status": "ACTIVE",
"stage": "DUE_DILIGENCE",
"externalStatus": "<string>",
"externalStage": "<string>",
"acquisitionType": "platform",
"owners": [
{
"id": "<string>",
"type": "<string>"
}
],
"sector": "<string>",
"industry": "<string>",
"size": 123,
"notes": "<string>",
"externalReference": {
"source": "<string>",
"id": "<string>"
}
}
}{
"error": "Invalid request body"
}{
"error": "invalid api key or clientId"
}Authorizations
The Client ID of your API key.
The secret value of your API key.
Body
application/json
Example:
"Project Atlas"
The target company's id.
Available options:
ACTIVE, CLOSED, PASSED_DEAD Available options:
SOURCED, SCREENED, IOI_TERM_SHEET, DUE_DILIGENCE, IC_MEETING, DEAL_CLOSING, PORTFOLIO_COMPANY, REALIZED, PASSED, DEAD Response
A deal.
Show child attributes
Show child attributes
Related topics
Working with dealsDeal ProfilesWorking with companiesCreate an activityCreate a screening⌘I

